using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace StickyGame
{
    class SpriteProperties
    {
        #region Basic sprite Position and Sizing variables.  Added functionality for floats
        private int mX;
        public int X
        {
            get
            {
                return mX;
            }
            set
            {
                mX = value;
            }
        }
        private int mY;
        public int Y
        {
            get
            {
                return mY;
            }
            set
            {
                mY = value;
            }
        }

        private int mWidth;
        public int Width
        {
            get
            {
                return mWidth;
            }
            set
            {
                mWidth = value;
            }
        }
        private int mHeight;
        public int Height
        {
            get
            {
                return mHeight;
            }
            set
            {
                mHeight = value;
            }
        }

        private int mVX;
        public int VX
        {
            get
            {
                return mVX;
            }
            set
            {
                mVX = value;
            }
        }
        private int mVY;
        public int VY
        {
            get
            {
                return mVY;
            }
            set
            {
                mVY = value;
            }
        }

        private float mfX;
        public float fX
        {
            get
            {
                return mfX;
            }
            set
            {
                mfX = value;
            }
        }
        private float mfY;
        public float fY
        {
            get
            {
                return mfY;
            }
            set
            {
                mfY = value;
            }
        }

        private float mfWidth;
        public float fWidth
        {
            get
            {
                return mfWidth;
            }
            set
            {
                mfWidth = value;
            }
        }
        private float mfHeight;
        public float fHeight
        {
            get
            {
                return mfHeight;
            }
            set
            {
                mfHeight = value;
            }
        }

        private float mfVX;
        public float fVX
        {
            get
            {
                return mfVX;
            }
            set
            {
                mfVX = value;
            }
        }
        private float mfVY;
        public float fVY
        {
            get
            {
                return mfVY;
            }
            set
            {
                mfVY = value;
            }
        }
        #endregion

        public bool Visible;

        public Texture2D Texture;

        //constructor
        public SpriteProperties()
        {
            mX=0;
            mY=0;
            mWidth=0;
            mHeight=0;
            mVX = 0;
            mVY=0;

            //added functionality for floats
            mfX = 0f;
            mfY = 0f;
            mfWidth = 0f;
            mfHeight = 0f;
            mfVX = 0f;
            mfVY = 0f;

            Visible=false;
        }
    }
}
